<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><title>R: Distance Matrix Transformation</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" type="text/css" href="../../R.css">
</head><body>

<table width="100%" summary="page for dist.zeroes {BiodiversityR}"><tr><td>dist.zeroes {BiodiversityR}</td><td align="right">R Documentation</td></tr></table>
<h2>Distance Matrix Transformation</h2>


<h3>Description</h3>

<p>
Sample units without any species result in "NaN" values in the distance matrix for some of the methods of <code><a href="../../vegan/html/vegdist.html">vegdist</a></code> (<STRONG>vegan</STRONG>). The function replaces "NA" by "0" if both sample units do not contain any species and "NA" by "1" if only one sample unit does not have any species.
</p>


<h3>Usage</h3>

<pre>
dist.zeroes(comm,dist)
</pre>


<h3>Arguments</h3>

<table summary="R argblock">
<tr valign="top"><td><code>comm</code></td>
<td>
Community data frame with sites as rows, species as columns and species abundance as cell values. </td></tr>
<tr valign="top"><td><code>dist</code></td>
<td>
Distance matrix as calculated with function <code><a href="../../vegan/html/vegdist.html">vegdist</a></code>. </td></tr>
</table>

<h3>Details</h3>

<p>
This functions changes a distance matrix by replacing "NaN" values by "0" if both sample units do not contain any species and by "1" if only one sample unit does not contain any species. 
</p>
<p>
Please note that there is a valid reason (deliberate removal of zero abundance values from calculations) that the original distance matrix contains "NaN", so you may not wish to do this transformation and remove sample units with zero abundances from further analysis.
</p>


<h3>Value</h3>

<p>
The function provides a new distance matrix where "NaN" values have been replaced by "0" or "1".</p>

<h3>Author(s)</h3>

<p>
Roeland Kindt (World Agroforestry Centre)
</p>


<h3>References</h3>

<p>
Kindt, R. &amp; Coe, R. (2005)
Tree diversity analysis: A manual and
software for common statistical methods for ecological and
biodiversity studies.
</p>
<p>
<a href="http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp">http://www.worldagroforestry.org/treesandmarkets/tree_diversity_analysis.asp</a>
</p>


<h3>Examples</h3>

<pre>
library(vegan)
matrix &lt;- array(0,dim=c(5,3))
matrix[4,] &lt;- c(1,2,3)
matrix[5,] &lt;- c(1,0,0)
dist1 &lt;- vegdist(matrix,method="kulc")
dist1
dist2 &lt;- dist.zeroes(matrix,dist1)
dist2
</pre>



<hr><div align="center">[Package <em>BiodiversityR</em> version 1.0 <a href="00Index.html">Index]</a></div>

</body></html>
